.pt-o-game-draw-shape-1 {
  height: 100%;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  transition: none;
  position: relative;
  user-select: none;
  &__container {
    height: 100%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;

    & > .__paper {
      width: 64.2rem;
      height: 100%;
      margin: 0 auto;
      font-size: 2rem;
      line-height: 3.2rem;
      position: relative;

      &.--hidden {
        display: none;
      }
      .__pin.--right {
        display: none;
      }

      & > .__toggle {
        width: 1.6rem;
        height: 1.6rem;
        cursor: pointer;
        position: absolute;
        top: 1.8rem;
        right: 3.6rem;
        z-index: 2;
        transform: rotate(45deg);
        .rs-toggle {
          .rs-toggle-presentation {
            background: $salmon;
          }
        }
        .rs-toggle-checked {
          .rs-toggle-presentation {
            background: $kellyGreen;
          }
        }
      }
    }
  }
  &__left {
    width: 250px;
    max-width: 250px;
    height: 270px;
    max-height: 270px;
    border-radius: 14vh 0 0 14vh;
    flex-shrink: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    position: relative;

    & > .__player {
      width: 12.8rem;
      height: 12.8rem;
    }

    & > .__duration {
      color: $dodgerBlue;
      font-family: 'mont_sb';
      font-size: 2.8rem;
      line-height: 3.4rem;
      position: absolute;
      bottom: 0;
      left: 50%;
      transform: translateX(-50%);
    }
  }

  &__right {
    position: relative;
    max-width: calc(100% - 255px);
    width: 100%;
    height: 100%;
    margin: 0 auto;
    background: $white;
    border-radius: 1.2rem;
    display: flex;
    flex-direction: column;
    font-family: 'mont_m';
    & > .__tapescript {
      min-width: 17.6rem;
      height: 4.6rem;
      background: linear-gradient($deepSkyBlue, $dodgerBlue);
      border-radius: 2.3rem;
      color: $white;
      font-family: 'mont_b';
      font-size: 1.8rem !important;
      position: absolute;
      bottom: 0;
      left: -127.5px;
      transform: translateX(-50%);

      &:active {
        &::before {
          opacity: 1;
        }
      }

      &::before {
        width: 17.6rem;
        height: 4.6rem;
        background: $deepSkyBlue;
        border-radius: 2.3rem;
        color: $white;
        content: 'Tapescript';
        display: flex;
        align-items: center;
        justify-content: center;
        font-family: 'mont_b';
        font-size: 1.8rem;
        opacity: 0;
        pointer-events: none;
        position: absolute;
        top: 0;
        left: 0;
      }
    }

    & > .__header {
      padding: 1.6rem 3.2rem;
      background: linear-gradient($mayaBlue, $dodgerBlue);
      border-radius: 1.2rem 1.2rem 0 0;
      color: $white;
      font-family: 'mont_m';
      font-size: 1.8rem;
      line-height: 2.2rem;
      position: relative;
      text-align: center;
      max-height: 45%;
      overflow: auto;
      &::-webkit-scrollbar {
        width: 7px;
        background-color: transparent;
      }
      &::-webkit-scrollbar-track {
        background-color: transparent;
        border-radius: 10px;
        margin-top: 1rem;
        margin-bottom: 1rem;
      }
      &::-webkit-scrollbar-thumb {
        background: rgba(0, 0, 0, 0.2);
        border-radius: 10px;
      }
    }

    & > .__content {
      padding: 1rem;
      flex: 1;
      position: relative;
      display: flex;
      justify-content: center;
      height: calc(100% - 10rem);
      background: #d4f1ff;
      .__content-draw {
        width: calc(100% - 260px);
        height: 100%;
        overflow-y: auto;
        border-radius: 0.8rem;
        border: 2px solid #2692ff;
        background: linear-gradient(-90deg, #00ecff 0%, #2399ff 50%);
        padding: 1rem;
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        z-index: 1;
        &::-webkit-scrollbar {
          width: 7px;
          background-color: transparent;
        }
        &::-webkit-scrollbar-track {
          background-color: transparent;
          border-radius: 10px;
          margin-top: 1rem;
          margin-bottom: 1rem;
        }
        &::-webkit-scrollbar-thumb {
          background: rgba(0, 0, 0, 0.2);
          border-radius: 10px;
        }
        .item-draw-card {
          z-index: 1;
          display: flex;
          width: calc(32% - 10px);
          min-width: calc(32% - 10px);
          max-width: calc(32% - 10px);
          padding: 1rem;
          flex-direction: column;
          justify-content: center;
          align-items: center;
          height: fit-content;
          .item-draw-shape {
            border-radius: 0.8rem;
            height: 120px;
            width: 100%;
            background: #fff;
            display: flex;
            justify-content: center;
            align-items: center;
            cursor: pointer;
            position: relative;
            &__image{
              display: flex;
              align-items: center;
              justify-content: center;
            }
            .icon-result{
              position: absolute;
              top: 0;
              left: 0;
              transform: translate(-25%, -25%);
              height: 2.3rem;
            }
            &.--selected {
              border: 2.6px solid #2692ff;
              border-style: dashed;
              box-shadow: none !important;
            }
            &.--example{
              box-shadow: 0 0 0 2.6px #67ab8d !important;
              cursor: auto;
            }
            &.--matched{
              box-shadow: 0 0 0 2.6px #2692ff;
            }
            &.--success{
              box-shadow: 0 0 0 4.6px rgba($color: #2dd238, $alpha: 0.3);
              border: 2.6px solid #2dd238;
              cursor: auto;
            }
            &.--danger{
              box-shadow: 0 0 0 4px rgba($color: #ff7f74, $alpha: 0.3);
              border: 2.6px solid #ff7f74;
              cursor: auto;
            }
          }
          .item-draw-text {
            line-height: 3rem;
            color: #fff;
            user-select: none;
          }
        }
      }
      .__content-shape {
        margin-left: -8px;
        border-top-right-radius: 0.8rem;
        border-bottom-right-radius: 0.8rem;
        width: 250px;
        max-width: 250px;
        height: 100%;
        background: #fff;
        padding:1rem 1rem 1rem 1.8rem;
        user-select: none;
        >div{
          height: 100%;
          width: 100%;
          max-width: 100%;
          display: flex;
          flex-wrap: wrap;
          justify-content: flex-start;
          overflow-y: auto;
          align-items: flex-end;
          user-select: none;
          &::-webkit-scrollbar {
            width: 7px;
            background-color: transparent;
          }
          &::-webkit-scrollbar-track {
            background-color: transparent;
            border-radius: 10px;
            margin-top: 1rem;
            margin-bottom: 1rem;
          }
          &::-webkit-scrollbar-thumb {
            background: rgba(0, 0, 0, 0.2);
            border-radius: 10px;
          }
        }
        &.--selected{
          >div{
            border: 2px solid #2692ff;
            border-style: dashed;
            border-radius: 0.8rem;
            .list-shape{
              opacity: 0.5;
            }
          }
        }
        
        .list-shape {
          width: 100%;
          display: flex;
          flex-direction: row;
          height: 50px;
          // padding-top: 1rem;
          justify-content: center;
          flex-wrap: wrap;
          user-select: none;
          .item-shape {
            display: flex;
            width: 65px;
            height: 50px;
            padding: 6px;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            position: relative;
            cursor: pointer;
            user-select: none;
              .item-shape-placeholder{
                position: absolute;
                display: none;
                top: 50%;
                left: 50%;
                transform: translate(-50%, -50%);
                pointer-events: none;
                z-index: 2;
                justify-content: center;
                align-items: center;
              }
            .item-shape-draw{
              position: absolute;
              top: 50%;
              left: 50%;
              transform: translate(-50%, -50%);
              background: rgba($color: #ffff, $alpha: 0.001);
              z-index: 4;
              height: 50px;
              width: 50px;
              display: flex;
              justify-content: center;
              align-items: center;
            }
            .item-shape-svg{
              display: flex;
              justify-content: center;
              align-items: center;
            }
            &.--dragging{
              .item-shape-svg{
                visibility: hidden;
              }
              .item-shape-placeholder{
                display: block;
                }
            }
            .text-index-matching {
              position: absolute;
              top: 50%;
              left: 50%;
              transform: translate(-50%, -50%);
              color: #97bee5;
              font-size: 1.2rem;
              &.--example{
                color: #67ab8d;
              }
              &.--text-in-shape{
                &__triangle{
                  transform: translate(-50%, -16%);
                }
                &__star{
                  transform: translate(-50%, -30%);
                }
              }
            }
            &.--success{
              .text-index-matching {
                color: #2dd238;
              }
            }
            &.--danger{
              .text-index-matching {
                color: #ff7f74;
                text-decoration: line-through !important;
              }
            }
          }
        }
      }
    }
  }
  .__space {
    width: 8rem;
    height: 2.2rem;
    margin: 0 0.5rem;
    border-bottom: 0.2rem solid $cornflower;
    display: inline-block;
  }
  .pt-o-block-paper {
    &__container {
      width: 100%;
      & > div {
        & > div:nth-child(2) {
          display: none;
        }
      }
    }
  }
}
.temp-drag-drop-ds1{
  z-index: 199;
  cursor: move;
}
.disable-scroll-ds1{
  // height: 100vh !important;
  overflow: hidden !important;
}
@include screen-1024-landscape{
  .pt-o-game-draw-shape-1 {
    height: 100%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    &__container {
      height: 100%;
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: center;

      & > .__paper {
        width: 64.2rem;
        height: 100%;
        margin: 0 auto;
        font-size: 2rem;
        line-height: 3.2rem;
        position: relative;

        &.--hidden {
          display: none;
        }
        .__pin.--right {
          display: none;
        }
      }
    }
    &__left {
      width: 200px;
      max-width: 200px;
      height: 220px;
      max-height: 220px;
      border-radius: 14vh 0 0 14vh;
      flex-shrink: 0;
      display: flex;
      align-items: center;
      justify-content: center;
      overflow: hidden;
      position: relative;

      & > .__player {
        width: 10.8rem;
        height: 10.8rem;
      }

      & > .__duration {
        color: $dodgerBlue;
        font-family: 'mont_sb';
        font-size: 2.6rem;
        line-height: 3.4rem;
        position: absolute;
        bottom: 0;
        left: 50%;
        transform: translateX(-50%);
      }
    }

    &__right {
      position: relative;
      max-width: calc(100% - 205px);
      width: calc(100% - 205px);
      height: 100%;
      margin: 0 auto;
      background: $white;
      border-radius: 1.2rem;
      display: flex;
      flex-direction: column;
      font-family: 'mont_m';

      & > .__tapescript {
        min-width: 16.6rem;
        height: 4.6rem;
        background: linear-gradient($deepSkyBlue, $dodgerBlue);
        border-radius: 2.3rem;
        color: $white;
        font-family: 'mont_b';
        font-size: 1.6rem !important;
        position: absolute;
        bottom: 3.2rem;
        left: -102.5px;
        transform: translateX(-50%);
        @media screen and (max-height: 600px) {
          bottom: 0;
        }
        &:active {
          &::before {
            opacity: 1;
          }
        }

        &::before {
          width: 17.6rem;
          height: 4.6rem;
          background: $deepSkyBlue;
          border-radius: 2.3rem;
          color: $white;
          content: 'Tapescript';
          display: flex;
          align-items: center;
          justify-content: center;
          font-family: 'mont_b';
          font-size: 1.6rem;
          opacity: 0;
          pointer-events: none;
          position: absolute;
          top: 0;
          left: 0;
        }
      }

      & > .__header {
        padding: 1rem 2rem;
        background: linear-gradient($mayaBlue, $dodgerBlue);
        border-radius: 1.2rem 1.2rem 0 0;
        color: $white;
        font-family: 'mont_m';
        font-size: 1.6rem;
        line-height: 1.8rem;
        position: relative;
        text-align: center;
        max-height: 45%;
        overflow: auto;
        &::-webkit-scrollbar {
          width: 7px;
          background-color: transparent;
        }
        &::-webkit-scrollbar-track {
          background-color: transparent;
          border-radius: 10px;
          margin-top: 1rem;
          margin-bottom: 1rem;
        }
        &::-webkit-scrollbar-thumb {
          background: rgba(0, 0, 0, 0.2);
          border-radius: 10px;
        }
      }

      & > .__content {
        padding: 1rem;
        flex: 1;
        position: relative;
        display: flex;
        justify-content: center;
        height: calc(100% - 6rem);
        background: #d4f1ff;
        .__content-draw {
          width: calc(100% - 230px);
          height: 100%;
          border: 2px solid #2692ff;
          background: linear-gradient(-90deg, #03e5ff 0%, #219eff 35.52%);

          .item-draw-card {
            z-index: 1;
            display: flex;
            width:  33%;
            min-width:  33%;
            max-width:  33%;
            padding: 1rem;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            height: fit-content;
            .item-draw-shape {
              border-radius: 0.8rem;
              height: 100px;
              width: 100%;
              background: #fff;
              display: flex;
              justify-content: center;
              align-items: center;
              cursor: pointer;
              position: relative;
              .icon-result{
                position: absolute;
                top: 0;
                left: 0;
                transform: translate(-25%, -25%);
                height: 2.3rem;
              }
            }
            .item-draw-text {
              line-height: 3rem;
              color: #fff;
              user-select: none;
              font-size: 1.4rem;
            }
          }
        }
        .__content-shape {
          margin-left: -8px;
          border-top-right-radius: 0.8rem;
          border-bottom-right-radius: 0.8rem;
          width: 230px;
          max-width: 230px;
          height: 100%;
          background: #fff;
          padding:0.6rem 0.6rem 0.6rem 1.4rem;
          >div{
            height: 100%;
            width: 100%;
            max-width: 100%;
            display: flex;
            flex-wrap: wrap;
            justify-content: flex-start;
            overflow-y: auto;
            align-items: flex-start;
          }
        
          
          .list-shape {
            width: 100%;
            display: flex;
            flex-direction: row;
            height: 50px;
            // padding-top: 1rem;
            justify-content: center;
            flex-wrap: wrap;
  
            .item-shape {
              display: flex;
              width: 65px;
              height: 50px;
              padding: 6px;
              flex-direction: column;
              justify-content: center;
              align-items: center;
              position: relative;
              cursor: pointer;
              .text-index-matching {
                position: absolute;
                top: 50%;
                left: 50%;
                transform: translate(-50%, -50%);
                color: #97bee5;
                font-size: 1.2rem;
                &.--example{
                  color: #67ab8d;
                }
              }
            }
          }
        }
      }
    }
  }
}
@include screen-960-landscape {
  body#practice-test button {
    font-size: 1.4rem;
  }
  .pt-o-game-draw-shape-1 {
    height: 100%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    &__container {
      height: 100%;
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: center;

      & > .__paper {
        width: 64.2rem;
        height: 100%;
        margin: 0 auto;
        font-size: 2rem;
        line-height: 3.2rem;
        position: relative;

        &.--hidden {
          display: none;
        }
        .__pin.--right {
          display: none;
        }
      }
    }
    &__left {
      width: 130px;
      max-width: 130px;
      height: 180px;
      max-height: 180px;
      border-radius: 9rem 0 0 9rem;
      flex-shrink: 0;
      display: flex;
      align-items: center;
      justify-content: center;
      overflow: hidden;
      position: relative;
      margin-top: -6rem;

      & > .__player {
        width: 8.4rem;
        height: 8.4rem;
      }

      & > .__duration {
        color: $dodgerBlue;
        font-family: 'mont_sb';
        font-size: 1.8rem;
        line-height: 3.4rem;
        position: absolute;
        bottom: 0.4rem;
        left: 50%;
        transform: translateX(-50%);
      }
    }

    &__right {
      position: relative;
      max-width: calc(100% - 130px);
      width: calc(100% - 130px);
      height: 100%;
      margin: 0 auto;
      background: $white;
      border-radius: 1.2rem;
      display: flex;
      flex-direction: column;
      font-family: 'mont_m';

      & > .__tapescript {
        min-width: 12rem;
        height: 4rem;
        background: linear-gradient($deepSkyBlue, $dodgerBlue);
        border-radius: 2.3rem;
        color: $white;
        font-family: 'mont_b';
        font-size: 1.2rem !important;
        position: absolute;
        bottom: 0.2rem;
        left: -65px;
        transform: translateX(-50%);

        &:active {
          &::before {
            opacity: 1;
          }
        }

        &::before {
          width: 17.6rem;
          height: 4.6rem;
          background: $deepSkyBlue;
          border-radius: 2.3rem;
          color: $white;
          content: 'Tapescript';
          display: flex;
          align-items: center;
          justify-content: center;
          font-family: 'mont_b';
          font-size: 1.6rem;
          opacity: 0;
          pointer-events: none;
          position: absolute;
          top: 0;
          left: 0;
        }
      }

      & > .__header {
        padding: 0.6rem 1.2rem;
        background: linear-gradient(#57c9ff, #2692ff);
        border-radius: 1.2rem 1.2rem 0 0;
        color: #fff;
        font-family: 'mont_m';
        font-size: 1.6rem;
        line-height: 2.2rem;
        position: relative;
        text-align: center;
        max-height: 45%;
        overflow: auto;
      }

      & > .__content {
        padding: 1rem;
        flex: 1;
        position: relative;
        display: flex;
        justify-content: center;
        height: calc(100% - 6rem);
        background: #d4f1ff;
        .__content-draw {
          width: calc(100% - 210px);
          height: 100%;
          border: 2px solid #2692ff;
          background: linear-gradient(-90deg, #03e5ff 0%, #219eff 35.52%);

          .item-draw-card {
            z-index: 1;
            display: flex;
            width: 33%;
            min-width:  33%;
            max-width:  33%;
            padding: 1rem;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            height: fit-content;
            .item-draw-shape {
              border-radius: 0.8rem;
              height: 100px;
              width: 100%;
              background: #fff;
              display: flex;
              justify-content: center;
              align-items: center;
              cursor: pointer;
              position: relative;
              .icon-result{
                position: absolute;
                top: 0;
                left: 0;
                transform: translate(-25%, -25%);
                height: 2.3rem;
              }
            }
            .item-draw-text {
              line-height: 2.6rem;
              color: #fff;
              user-select: none;
            }
          }
        }
        .__content-shape {
          margin-left: -8px;
          border-top-right-radius: 0.8rem;
          border-bottom-right-radius: 0.8rem;
          width: 210px;
          max-width: 210px;
          height: 100%;
          background: #fff;
          padding:0.6rem 0.6rem 0.6rem 1.4rem;
          >div{
            height: 100%;
            width: 100%;
            max-width: 100%;
            display: flex;
            flex-wrap: wrap;
            justify-content: flex-start;
            overflow-y: auto;
            align-items: flex-start;
          }
        
          
          .list-shape {
            width: 100%;
            display: flex;
            flex-direction: row;
            height: 50px;
            // padding-top: 1rem;
            justify-content: center;
            flex-wrap: wrap;
  
            .item-shape {
              display: flex;
              width: 57px;
              height: 50px;
              padding: 6px;
              flex-direction: column;
              justify-content: center;
              align-items: center;
              position: relative;
              cursor: pointer;
              .text-index-matching {
                position: absolute;
                top: 50%;
                left: 50%;
                transform: translate(-50%, -50%);
                color: #97bee5;
                font-size: 1.2rem;
                &.--example{
                  color: #67ab8d;
                }
              }
            }
          }
        }
      }
    }
    .pt-o-block-paper {
      width: 100%;
      height: 100%;
      padding: 2.6rem 1.6rem 2.6rem 1.6rem;
      position: relative;
    }
  }
}
@include screen-768-landscape {
  body#practice-test button {
    font-size: 1.2rem;
  }
  .pt-o-game-draw-shape-1 {
    height: 100%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    &__container {
      height: 100%;
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: center;

      & > .__paper {
        width: 64.2rem;
        height: 100%;
        margin: 0 auto;
        font-size: 1.4rem;
        line-height: 2.2rem;
        position: relative;

        &.--hidden {
          display: none;
        }
        .__pin.--right {
          display: none;
        }
      }
    }
    &__left {
      width: 120px;
      max-width: 120px;
      height: 130px;
      max-height: 130px;
      border-radius: 14vh 0 0 14vh;
      flex-shrink: 0;
      display: flex;
      align-items: center;
      justify-content: center;
      overflow: hidden;
      position: relative;

      & > .__player {
        width: 4rem;
        height: 4rem;
      }

      & > .__duration {
        color: $dodgerBlue;
        font-family: 'mont_sb';
        font-size: 1.8rem;
        line-height: 3.4rem;
        position: absolute;
        bottom: 0.6rem;
        left: 50%;
        transform: translateX(-50%);
      }
    }

    &__right {
      position: relative;
      max-width: calc(100% - 120px);
      width: 100%;
      height: 100%;
      margin: 0 auto;
      background: $white;
      border-radius: 1.2rem;
      display: flex;
      flex-direction: column;
      font-family: 'mont_m';

      & > .__tapescript {
        min-width: 7.6rem;
        height: 3rem;
        background: linear-gradient($deepSkyBlue, $dodgerBlue);
        border-radius: 2.3rem;
        color: $white;
        font-family: 'mont_b';
        font-size: 1.4rem !important;
        position: absolute;
        bottom: 0;
        left: -60px;
        transform: translateX(-50%);

        &:active {
          &::before {
            opacity: 1;
          }
        }

        &::before {
          width: 17.6rem;
          height: 4.6rem;
          background: $deepSkyBlue;
          border-radius: 2.3rem;
          color: $white;
          content: 'Tapescript';
          display: flex;
          align-items: center;
          justify-content: center;
          font-family: 'mont_b';
          font-size: 1.4rem;
          opacity: 0;
          pointer-events: none;
          position: absolute;
          top: 0;
          left: 0;
        }
      }

      & > .__header {
        padding: 0.6rem 1.2rem;
        background: linear-gradient($mayaBlue, $dodgerBlue);
        border-radius: 1.2rem 1.2rem 0 0;
        color: $white;
        font-family: 'mont_m';
        font-size: 1.4rem;
        line-height: 1.6rem;
        position: relative;
        text-align: center;
        max-height: 45%;
        overflow: auto;
      }

      & > .__content {
        padding: 1rem;
        flex: 1;
        position: relative;
        display: flex;
        justify-content: center;
        height: calc(100% - 4rem);
        background: #d4f1ff;
        .__content-draw {
          width: calc(100% - 190px);
          height: 100%;
          border: 2px solid #2692ff;
          background: linear-gradient(-90deg, #03e5ff 0%, #219eff 35.52%);

          .item-draw-card {
            z-index: 1;
            display: flex;
            width: 33%;
            min-width: 33%;
            max-width: 33%;
            padding: 0.6rem;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            height: fit-content;
            .item-draw-shape {
              border-radius: 0.8rem;
              height: 80px;
              width: 100%;
              background: #fff;
              display: flex;
              justify-content: center;
              align-items: center;
              cursor: pointer;
              position: relative;
              .icon-result{
                position: absolute;
                top: 0;
                left: 0;
                transform: translate(-25%, -25%);
                height: 2.3rem;
              }
            }
            .item-draw-text {
              line-height: 3rem;
              color: #fff;
              user-select: none;
              font-size: 1.4rem;
            }
          }
        }
        .__content-shape {
          margin-left: -8px;
          border-top-right-radius: 0.8rem;
          border-bottom-right-radius: 0.8rem;
          width: 190px;
          max-width: 190px;
          height: 100%;
          background: #fff;
          padding:0.6rem 0.6rem 0.6rem 1.4rem;
          >div{
            height: 100%;
            width: 100%;
            max-width: 100%;
            display: flex;
            flex-wrap: wrap;
            justify-content: flex-start;
            overflow-y: auto;
            align-items: flex-start;
          }
        
          
          .list-shape {
            width: 100%;
            display: flex;
            flex-direction: row;
            height: 50px;
            // padding-top: 1rem;
            justify-content: center;
            flex-wrap: wrap;
  
            .item-shape {
              display: flex;
              width: 50px;
              height: 40px;
              padding: 6px;
              flex-direction: column;
              justify-content: center;
              align-items: center;
              position: relative;
              cursor: pointer;
              .text-index-matching {
                position: absolute;
                top: 50%;
                left: 50%;
                transform: translate(-50%, -50%);
                color: #97bee5;
                font-size: 1.2rem;
                &.--example{
                  color: #67ab8d;
                }
              }
            }
          }
        }
      }
    }
  }
  .pt-o-block-paper {
    width: 100%;
    height: 100%;
    padding: 2.6rem 1.6rem 2.6rem 1.6rem;
    position: relative;
  }
}
@include screen-768-1024-portrait {
  .pt-o-game-draw-shape-1 {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    &__container {
      height: 100%;
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: center;
      flex-direction: column;
      overflow: auto;

      & > .__paper {
        width: 100%;
        font-size: 1.6rem;
        line-height: 2.4rem;

        .__pin.--left {
          top: 1.6rem;
        }
      }
    }
    &__left {
      width: 100%;
      height: 12rem;
      border-radius: unset;
      border-top-left-radius: 50%;
      border-top-right-radius: 50%;
      max-width: unset;
      max-height: unset;
      flex-direction: column;
      overflow: unset;
      justify-content: space-around;

      & > .__player {
        width: 4.8rem;
        height: 4.8rem;
        top: 0.6rem;
      }

      & > .__duration {
        position: relative;
        bottom: 0.6rem;
        transform: unset;
        left: unset;
        font-size: 1.8rem;
      }
    }

    &__right {
      position: relative;
      width: 100%;
      height:calc(100% - 12rem);
      max-width: 100%;
      margin: 0 auto;
      background: $white;
      border-radius: 1.2rem;
      display: flex;
      flex-direction: column;
      font-family: 'mont_m';

      & > .__tapescript {
        min-width: 16.6rem;
        height: 3.4rem;
        border-radius: 2.3rem;
        font-family: 'mont_b';
        font-size: 1.4rem !important;
        top: -5.2rem;
        bottom: unset;
        left: 87%;

        &:active {
          &::before {
            opacity: 1;
          }
        }

        &::before {
          width: 11.6rem;
          height: 3.4rem;
          border-radius: 2.3rem;
          content: 'Tapescript';
          font-family: 'mont_b';
          font-size: 1.4rem;
          opacity: 0;
          top: 0;
          left: 0;
        }
      }

      & > .__header {
        padding: 1.6rem 3.2rem;
        background: linear-gradient($mayaBlue, $dodgerBlue);
        border-radius: 1.2rem 1.2rem 0 0;
        color: $white;
        font-family: 'mont_m';
        font-size: 1.8rem;
        line-height: 2.2rem;
        position: relative;
        text-align: center;
        max-height: 45%;
        overflow: auto;
        &::-webkit-scrollbar {
          width: 7px;
          background-color: transparent;
        }
        &::-webkit-scrollbar-track {
          background-color: transparent;
          border-radius: 10px;
          margin-top: 1rem;
          margin-bottom: 1rem;
        }
        &::-webkit-scrollbar-thumb {
          background: rgba(0, 0, 0, 0.2);
          border-radius: 10px;
        }
      }

      & > .__content {
        width: 100%;
        padding: 1rem;
        flex: 1;
        position: relative;
        display: flex;
        justify-content: center;
        height: calc(100% - 9rem);
        background: #d4f1ff;
        flex-wrap: wrap;
        .__content-draw {
          width: 100%;
          height: 64%;
          overflow-y: auto;
          border-radius: 0.8rem;
          border: 2px solid #2692ff;
          background: linear-gradient(-90deg, #03e5ff 0%, #219eff 35.52%);
          padding: 1rem;
          display: flex;
          flex-wrap: wrap;
          justify-content: center;
          z-index: 1;
          &::-webkit-scrollbar {
            width: 7px;
            background-color: transparent;
          }
          &::-webkit-scrollbar-track {
            background-color: transparent;
            border-radius: 10px;
            margin-top: 1rem;
            margin-bottom: 1rem;
          }
          &::-webkit-scrollbar-thumb {
            background: rgba(0, 0, 0, 0.2);
            border-radius: 10px;
          }
          .item-draw-card {
            z-index: 1;
            display: flex;
            width: calc(32% - 8px);
            min-width: calc(32% - 8px);
            max-width: calc(32% - 8px);
            padding: 1rem;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            height: fit-content;
            .item-draw-shape {
              border-radius: 0.8rem;
              height: 110px;
              width: 100%;
              background: #fff;
              display: flex;
              justify-content: center;
              align-items: center;
              cursor: pointer;
              position: relative;
              .icon-result{
                position: absolute;
                top: 0;
                left: 0;
                transform: translate(-25%, -25%);
                height: 2.3rem;
              }
              &.--selected {
                border: 2px solid #2692ff;
                border-style: dashed;
                box-shadow: none !important;
              }
              &.--example{
                box-shadow: 0 0 0 2px #67ab8d !important;
                cursor: auto;
              }
              &.--matched{
                box-shadow: 0 0 0 2px #2692ff;
              }
              &.--success{
                box-shadow: 0 0 0 4px rgba($color: #2dd238, $alpha: 0.3);
                border: 2px solid #2dd238;
                cursor: auto;
              }
              &.--danger{
                box-shadow: 0 0 0 4px rgba($color: #ff7f74, $alpha: 0.3);
                border: 2px solid #ff7f74;
                cursor: auto;
              }
            }
            .item-draw-text {
              line-height: 3rem;
              color: #fff;
              user-select: none;
            }
          }
        }
        .__content-shape {
          margin-top: -8px;
          margin-left: unset;
          border-radius: 0;
          border-bottom-left-radius: 0.8rem;
          border-bottom-right-radius: 0.8rem;
          width: 100%;
          max-width: 100%;
          height:36%;
          background: #fff;
          padding:1rem 1rem 1rem 1.8rem;
          >div{
            height: 100%;
            width: 100%;
            max-width: 100%;
            display: flex;
            flex-wrap: wrap;
            justify-content:center;
            overflow-y: auto;
            align-items: flex-start;
          }
          
          .list-shape {
            width: 100%;
            display: flex;
            flex-direction: row;
            // padding-top: 1rem;
            justify-content: space-around;
            flex-wrap: wrap;
            height: 100%;
            width: 100px;
            flex-direction: column;
            align-items: center;
            .item-shape {
              display: flex;
              width: fit-content;
              height: 56px;
              padding: 6px;
              flex-direction: column;
              justify-content: center;
              align-items: center;
              position: relative;
              cursor: pointer;
              .text-index-matching {
                position: absolute;
                top: 50%;
                left: 50%;
                transform: translate(-50%, -50%);
                color: #97bee5;
                font-size: 1.2rem;
                &.--example{
                  color: #67ab8d;
                }
              }
              &.--success{
                .text-index-matching {
                  color: #2dd238;
                }
              }
              &.--danger{
                .text-index-matching {
                  color: #ff7f74;
                }
              }
            }
          }
        }
      }
    }
  }
}

@include screen-767-portrait {
  .pt-o-game-draw-shape-1 {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    &__container {
      height: 100%;
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: center;
      flex-direction: column;
      overflow: auto;

      & > .__paper {
        width: 100%;
        font-size: 1.6rem;
        line-height: 2.4rem;

        .__pin.--left {
          top: 0.6rem;
        }
        & > .__toggle {
          width: 1.6rem;
          height: 1.6rem;
          cursor: pointer;
          position: absolute;
          top: 1.8rem;
          right: 2rem;
        }
      }
    }
    &__left {
      width: 100%;
      height: 12rem;
      border-radius: unset;
      border-top-left-radius: 50%;
      border-top-right-radius: 50%;
      max-width: unset;
      max-height: unset;
      flex-direction: column;
      overflow: unset;
      justify-content: space-around;

      & > .__player {
        width: 4.8rem;
        height: 4.8rem;
        top: 0.6rem;
      }

      & > .__duration {
        position: relative;
        bottom: 0.6rem;
        transform: unset;
        left: unset;
        font-size: 1.8rem;
      }
    }

    &__right {
      position: relative;
      max-width: 100%;
      width: 100%;
      height: calc(100% - 12rem);
      margin: 0 auto;
      background: $white;
      border-radius: 1.2rem;
      display: flex;
      flex-direction: column;
      font-family: 'mont_m';

      & > .__tapescript {
        min-width: 16.6rem;
        height: 3.4rem;
        border-radius: 2.3rem;
        font-family: 'mont_b';
        font-size: 1.4rem !important;
        top: -5.2rem;
        bottom: unset;
        left: 87%;

        &:active {
          &::before {
            opacity: 1;
          }
        }

        &::before {
          width: 11.6rem;
          height: 3.4rem;
          border-radius: 2.3rem;
          content: 'Tapescript';
          font-family: 'mont_b';
          font-size: 1.4rem;
          opacity: 0;
          top: 0;
          left: 0;
        }
      }

      & > .__header {
        padding: 1.6rem 3.2rem;
        background: linear-gradient($mayaBlue, $dodgerBlue);
        border-radius: 1.2rem 1.2rem 0 0;
        color: $white;
        font-family: 'mont_m';
        font-size: 1.8rem;
        line-height: 2.2rem;
        position: relative;
        text-align: center;
        max-height: 45%;
        overflow: auto;
        &::-webkit-scrollbar {
          width: 7px;
          background-color: transparent;
        }
        &::-webkit-scrollbar-track {
          background-color: transparent;
          border-radius: 10px;
          margin-top: 1rem;
          margin-bottom: 1rem;
        }
        &::-webkit-scrollbar-thumb {
          background: rgba(0, 0, 0, 0.2);
          border-radius: 10px;
        }
      }

      & > .__content {
        width: 100%;
        padding: 1rem;
        flex: 1;
        position: relative;
        display: flex;
        justify-content: center;
        height: calc(100% - 6rem);
        background: #d4f1ff;
        flex-wrap: wrap;
        .__content-draw {
          width: 100%;
          height: 64%;
          overflow-y: auto;
          border-radius: 0.8rem;
          border: 2px solid #2692ff;
          background: linear-gradient(-90deg, #03e5ff 0%, #219eff 35.52%);
          padding: 1rem;
          display: flex;
          flex-wrap: wrap;
          justify-content: center;
          z-index: 1;
          &::-webkit-scrollbar {
            width: 7px;
            background-color: transparent;
          }
          &::-webkit-scrollbar-track {
            background-color: transparent;
            border-radius: 10px;
            margin-top: 1rem;
            margin-bottom: 1rem;
          }
          &::-webkit-scrollbar-thumb {
            background: rgba(0, 0, 0, 0.2);
            border-radius: 10px;
          }
          .item-draw-card {
            z-index: 1;
            display: flex;
            width: calc(32% - 8px);
            min-width: calc(32% - 8px);
            max-width: calc(32% - 8px);
            padding: 1rem;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            height: fit-content;
            .item-draw-shape {
              border-radius: 0.8rem;
              height: 110px;
              width: 100%;
              background: #fff;
              display: flex;
              justify-content: center;
              align-items: center;
              cursor: pointer;
              position: relative;
              .icon-result{
                position: absolute;
                top: 0;
                left: 0;
                transform: translate(-25%, -25%);
                height: 2.3rem;
              }
              &.--selected {
                border: 2px solid #2692ff;
                border-style: dashed;
                box-shadow: none !important;
              }
              &.--example{
                box-shadow: 0 0 0 2px #67ab8d !important;
                cursor: auto;
              }
              &.--matched{
                box-shadow: 0 0 0 2px #2692ff;
              }
              &.--success{
                box-shadow: 0 0 0 4px rgba($color: #2dd238, $alpha: 0.3);
                border: 2px solid #2dd238;
                cursor: auto;
              }
              &.--danger{
                box-shadow: 0 0 0 4px rgba($color: #ff7f74, $alpha: 0.3);
                border: 2px solid #ff7f74;
                cursor: auto;
              }
            }
            .item-draw-text {
              line-height: 3rem;
              color: #fff;
              user-select: none;
            }
          }
        }
        .__content-shape {
          margin-top: -8px;
          margin-left: unset;
          border-radius: 0;
          border-bottom-left-radius: 0.8rem;
          border-bottom-right-radius: 0.8rem;
          width: 100%;
          max-width: 100%;
          height:36%;
          background: #fff;
          padding:1rem 1rem 1rem 1.8rem;
          >div{
            height: 100%;
            width: 100%;
            max-width: 100%;
            display: flex;
            flex-wrap: wrap;
            justify-content:space-around;
            overflow-y: auto;
            align-items: flex-start;
          }
          
          .list-shape {
            width: 100%;
            display: flex;
            flex-direction: row;
            // padding-top: 1rem;
            justify-content: space-around;
            flex-wrap: wrap;
            height: 100%;
            width: fit-content;
            flex-direction: column;
            align-items: center;
            min-height: 175px;
            .item-shape {
              display: flex;
              // width: 70px;
              width: fit-content;
              height: 56px;
              padding: 6px;
              flex-direction: column;
              justify-content: center;
              align-items: center;
              position: relative;
              cursor: pointer;
              .text-index-matching {
                position: absolute;
                top: 50%;
                left: 50%;
                transform: translate(-50%, -50%);
                color: #97bee5;
                font-size: 1.2rem;
                &.--example{
                  color: #67ab8d;
                }
              }
              &.--success{
                .text-index-matching {
                  color: #2dd238;
                }
              }
              &.--danger{
                .text-index-matching {
                  color: #ff7f74;
                }
              }
            }
          }
        }
      }
    }
  }
}

@include screen-mobile-portrait {
  .pt-o-game-draw-shape-1 {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    &__container {
      height: 100%;
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: center;
      flex-direction: column;
      overflow: hidden;

      & > .__paper {
        width: 100%;
        font-size: 1.2rem;
        line-height: 2.2rem;

        .__pin.--left {
          top: 1rem;
        }
      }
    }
    &__left {
      width: 100%;
      height: 6rem;
      border-radius: unset;
      border-top-left-radius: 50%;
      border-top-right-radius: 50%;
      max-width: unset;
      max-height: unset;
      flex-direction: row;
      overflow: unset;
      justify-content: center;
      padding-top: 0.6rem;
      & > .__player {
        width: 3rem;
        height: 3rem;
        top: unset;
        position: relative;

        .pt-m-audio-player__play,
        .pt-m-audio-player__pause {
          width: 1.4rem !important;
          height: 2.3rem !important;
        }
      }

      & > .__duration {
        position: relative;
        bottom: 0;
        transform: unset;
        left: unset;
        font-size: 1.4rem;
        margin-left: 1.6rem;
      }
    }

    &__right {
      position: relative;
      max-width: 100%;
      width: 100%;
      height: calc(100% - 6.5rem);
      margin: 0 auto;
      background: $white;
      border-radius: 1.2rem;
      display: flex;
      flex-direction: column;
      font-family: 'mont_m';

      & > .__tapescript {
        min-width: 8.6rem;
        height: 3rem;
        border-radius: 2.3rem;
        font-family: 'mont_b';
        font-size: 1.2rem !important;
        top: -4rem;
        bottom: unset;
        left: 84%;

        &:active {
          &::before {
            opacity: 1;
          }
        }

        &::before {
          width: 11.6rem;
          height: 3.4rem;
          border-radius: 2.3rem;
          content: 'Tapescript';
          font-family: 'mont_b';
          font-size: 1.2rem;
          opacity: 0;
          top: 0;
          left: 0;
        }
      }

      & > .__header {
        padding: 0.5rem 1rem;
        background: linear-gradient($mayaBlue, $dodgerBlue);
        border-radius: 1.2rem 1.2rem 0 0;
        color: $white;
        font-family: 'mont_m';
        font-size: 1.4rem;
        line-height: 1.4rem !important;
        position: relative;
        text-align: center;
        max-height: 45%;
        overflow: auto;
        &::-webkit-scrollbar {
          width: 7px;
          background-color: transparent;
        }
        &::-webkit-scrollbar-track {
          background-color: transparent;
          border-radius: 10px;
          margin-top: 1rem;
          margin-bottom: 1rem;
        }
        &::-webkit-scrollbar-thumb {
          background: rgba(0, 0, 0, 0.2);
          border-radius: 10px;
        }
      }

      & > .__content {
        width: 100%;
        padding: 1rem;
        flex: 1;
        position: relative;
        display: flex;
        justify-content: center;
        height: calc(100% - 6rem);
        background: #d4f1ff;
        flex-wrap: wrap;
        .__content-draw {
          width: 100%;
          height: 64%;
          overflow-y: auto;
          border-radius: 0.8rem;
          border: 2px solid #2692ff;
          background: linear-gradient(-90deg, #03e5ff 0%, #219eff 35.52%);
          padding: 1rem;
          display: flex;
          flex-wrap: wrap;
          justify-content: center;
          z-index: 1;
          &::-webkit-scrollbar {
            width: 7px;
            background-color: transparent;
          }
          &::-webkit-scrollbar-track {
            background-color: transparent;
            border-radius: 10px;
            margin-top: 1rem;
            margin-bottom: 1rem;
          }
          &::-webkit-scrollbar-thumb {
            background: rgba(0, 0, 0, 0.2);
            border-radius: 10px;
          }
          .item-draw-card {
            z-index: 1;
            display: flex;
            width: 33%;
            min-width: 33%;
            max-width: 33%;
            padding: 0.6rem;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            height: fit-content;
            .item-draw-shape {
              border-radius: 0.8rem;
              height: 86px;
              width: 100%;
              background: #fff;
              display: flex;
              justify-content: center;
              align-items: center;
              cursor: pointer;
              position: relative;
              .icon-result{
                position: absolute;
                top: 0;
                left: 0;
                transform: translate(-25%, -25%);
                height: 2rem;
              }
            }
            .item-draw-text {
              line-height: 3rem;
              color: #fff;
              user-select: none;
              font-size: 1.4rem;
            }
          }
        }
        .__content-shape {
          margin-top: -8px;
          margin-left: unset;
          border-radius: 0;
          border-bottom-left-radius: 0.8rem;
          border-bottom-right-radius: 0.8rem;
          width: 100%;
          max-width: 100%;
          height:36%;
          background: #fff;
          padding:1.8rem 0.2rem 1rem 0.2rem;
          >div{
            overflow-x: hidden;
            padding-right: 12px;
          }
          .list-shape {
            min-height: 146px;
            .item-shape {
              display: flex;
              width: 42px;
              height:48px;
              padding: 4px;
              flex-direction: column;
              justify-content: center;
              align-items: center;
              position: relative;
              cursor: pointer;
              .item-shape-draw{
                width: 42px;
                height:48px;
              }
              .text-index-matching {
                position: absolute;
                top: 50%;
                left: 50%;
                transform: translate(-50%, -50%);
                color: #97bee5;
                font-size: 1.2rem;
                
              }
            }
          }
          @media only screen and (max-width: 360px){
            >div{
              overflow-x: hidden;
              padding-right: 10px;
            }
            .list-shape {
              width: 40px;
              min-height: 146px;
              .item-shape {
                display: flex;
                width: 40px;
                height:48px;
                padding: 4px;
              }
            }
          }
          @media only screen and (max-width: 320px){
            .list-shape {
              width: 40px;
              min-height: 146px;
              .item-shape {
                display: flex;
                width: 40px;
                height:48px;
                padding: 0px;
              }
            }
          }
        }
      }
    }
  }

}
